| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfSILMA Struct Reference
Subscriber Features

Silent Monitoring Agent. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
xsd__boolean * | SilentMonitoring
| Indication of whether a Supervisor is allowed to invoke Silent Monitoring. More...
xsd__boolean * | BargeIn
| Indication of whether a Supervisor is allowed to invoke Barge-In. More...
xsd__boolean * | WhisperTo
| Allows a SILM Supervisor to whisper to this SILM Agent. More...
xsd__boolean * | SILMATag
| Indication of whether Tone Monitoring is enabled. More...
struct unsp__ToneMonitoringData * | ToneMonitoringData
| Tone Monitoring Data. More...
struct unsp__CfSILMA_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Silent Monitoring Agent.

The SILMA feature can be assigned to a BGL subscriber. Assigning this feature allows users to be monitored by other users. The monitoring is continuous, regardless they are in a call or not. The monitoring session remains active as long as user desires and not for a specific call. Users provisioned with SILMA, can be monitored by other users that have SILM Supervisor feature provisioned.
MP2 command: CFSILMA [Attributes]

## Member Data Documentation

## ◆ BargeIn

xsd__boolean* unsp__CfSILMA::BargeIn

Indication of whether a Supervisor is allowed to invoke Barge-In.

required: false
default value[range]: true

## ◆ Enabled

unsp__Enabled* unsp__CfSILMA::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfSILMA_locPres* unsp__CfSILMA::Local

Local Presence flags.

## ◆ SilentMonitoring

xsd__boolean* unsp__CfSILMA::SilentMonitoring

Indication of whether a Supervisor is allowed to invoke Silent Monitoring.

required: false
default value[range]: true

## ◆ SILMATag

xsd__boolean* unsp__CfSILMA::SILMATag

Indication of whether Tone Monitoring is enabled.

Applicable when SilentMonitoring is true.
required: false
default value[range]: false

## ◆ Subscribed

enum unsp__Subscribed unsp__CfSILMA::Subscribed

Standard Subscribed enumeration.

## ◆ ToneMonitoringData

struct unsp__ToneMonitoringData* unsp__CfSILMA::ToneMonitoringData

Tone Monitoring Data.

required: false

## ◆ WhisperTo

xsd__boolean* unsp__CfSILMA::WhisperTo

Allows a SILM Supervisor to whisper to this SILM Agent.

required: false
default value[range]: true

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h